Page MenuHomePhabricator

Create elections committee private wiki
Closed, ResolvedPublic

Description

Please create a private wiki for the Elections Committee.

Settings

  • Domain: electcom.wikimedia.org
  • private, all pages except for Main Page only readable by non-blocked logged in users, account creation restricted to sysop/bureaucrat.

Please add me [User:KTC], James Alexander [User:Jalexander-WMF], and Joe Sutherland [User:JSutherland_(WMF)] as a bureaucrat.

Note for info: https://wikitech.wikimedia.org/wiki/Add_a_wiki#IMPORTANT:_For_Private_Wikis

Thanks

Event Timeline

KTC created this task.Aug 28 2017, 7:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2017, 7:01 PM

Change 374384 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/puppet@production] Add electcomwiki to private_wikis

https://gerrit.wikimedia.org/r/374384

Change 374385 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/dns@master] Add electcom.wikimedia.org

https://gerrit.wikimedia.org/r/374385

Change 374389 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/puppet@production] Add electcom.wikimedia.org

https://gerrit.wikimedia.org/r/374389

Change 374384 merged by Marostegui:
[operations/puppet@production] Add electcomwiki to private_wikis

https://gerrit.wikimedia.org/r/374384

Marostegui added a subscriber: jcrespo.

I have closed the ticket that relates to the DBAs (add the replication filters and restart MariaDB on the sanitarium hosts).
Going to remove the DBA tag from this task as our part is done, but I will remain subscribed as once the wiki is created, we'd need to double check the labs hosts to make sure nothing is actually being replicated.

Urbanecm triaged this task as Low priority.Aug 29 2017, 10:47 AM
Urbanecm added a subscriber: Urbanecm.

Will create config.

Change 374528 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for electcomwiki

https://gerrit.wikimedia.org/r/374528

Change 374389 merged by Elukey:
[operations/puppet@production] Add electcom.wikimedia.org

https://gerrit.wikimedia.org/r/374389

Change 374385 merged by Elukey:
[operations/dns@master] Add electcom.wikimedia.org

https://gerrit.wikimedia.org/r/374385

Reedy added a subscriber: Reedy.Sep 5 2017, 5:02 PM

Wiki can be created at any time now

Going to remove the DBA tag from this task as our part is done, but I will remain subscribed as once the wiki is created, we'd need to double check the labs hosts to make sure nothing is actually being replicated.

That is exactly what DBA (done) column was created for (DBA work is done, but ticket cannot be closed yet) :-)

jcrespo moved this task from Triage to Done on the DBA board.Sep 5 2017, 5:06 PM

Going to remove the DBA tag from this task as our part is done, but I will remain subscribed as once the wiki is created, we'd need to double check the labs hosts to make sure nothing is actually being replicated.

That is exactly what DBA (done) column was created for (DBA work is done, but ticket cannot be closed yet) :-)

Our part was done at: T174385 that is why I removed the project tag from this specific one, but remained subscribed for future checking

jrbs added a comment.Oct 6 2017, 10:38 PM

Hey - just wondering what the status is here. Is there anything we can do to push this along?

Reedy added a comment.Oct 6 2017, 11:42 PM

Just needs scheduling, patches rebasing and someone to deploy it

jrbs added a comment.Oct 7 2017, 12:13 AM

Just needs scheduling, patches rebasing and someone to deploy it

And, uh. How does one do all of these things? :)

Reedy added a comment.Oct 7 2017, 12:13 AM

Just needs scheduling, patches rebasing and someone to deploy it

And, uh. How does one do all of these things? :)

Ask someone nicely who can deploy? ;)

Change 382896 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add mobile domain for electomwikimedia

https://gerrit.wikimedia.org/r/382896

Dzahn added a subscriber: Dzahn.Oct 7 2017, 12:18 AM

@jrbs: re: patches rebasing: git review -d <number of gerrit patch>; git rebase -i origin/master; then if it fails "git rebase --continue" to see in which file the conflict is; manually edit the file to remove the conflict, git rebase --continue; git review

Change 382896 merged by Dzahn:
[operations/dns@master] add mobile domain for electcom.wikimedia

https://gerrit.wikimedia.org/r/382896

Dzahn added a comment.Oct 7 2017, 12:20 AM

added the mobile domain to DNS: https://electcom.m.wikimedia.org/

jrbs added a comment.Oct 9 2017, 7:15 PM

I've rebased (thanks, @Dzahn!) and scheduled this to go out on SWAT on Wednesday.

jrbs moved this task from Backlog to Support on the Trust-and-Safety board.
Reedy added a comment.Oct 9 2017, 10:26 PM

I've rebased (thanks, @Dzahn!) and scheduled this to go out on SWAT on Wednesday.

I'd highly advise against putting it in SWAT, in fact, I think it'd be point blank forbidden. Most deployers probably won't feel comfortable creating a wiki, and even less so in a short window in which other stuff is likely to be deployed too

jrbs added a comment.Oct 9 2017, 10:33 PM

I've rebased (thanks, @Dzahn!) and scheduled this to go out on SWAT on Wednesday.

I'd highly advise against putting it in SWAT, in fact, I think it'd be point blank forbidden. Most deployers probably won't feel comfortable creating a wiki, and even less so in a short window in which other stuff is likely to be deployed too

What do you recommend? (I am absolutely new to this.)

Reedy added a comment.Oct 9 2017, 10:34 PM

What do you recommend? (I am absolutely new to this.)

Ask me nicely and I'll find a window and do it properly? ;)

jrbs added a comment.EditedOct 9 2017, 10:36 PM

What do you recommend? (I am absolutely new to this.)

Ask me nicely and I'll find a window and do it properly? ;)

Reedy, could you pretty please look for a nice open window to deploy this new wiki in? *fluttery eyes*

(I'll get it off the SWAT schedule)

jrbs added a comment.Oct 11 2017, 5:21 PM

Mind if I assign you @Reedy ?

@jrbs You can let it unassigned, so you've more opportunity for a swift deployment.

Dereckson raised the priority of this task from Low to Medium.Oct 15 2017, 11:16 AM

There is hi.wiktionary to create soon, I'll see next week to plan a window for it, and if so, I'll create electcomwiki at the same time.

[ Raising priority as this is ready to create and needed. ]

jrbs added a comment.Oct 16 2017, 4:55 PM

There is hi.wiktionary to create soon, I'll see next week to plan a window for it, and if so, I'll create electcomwiki at the same time.

[ Raising priority as this is ready to create and needed. ]

Fantastic, thanks. Might want to check the patch too as it might be outdated now.

jrbs added a comment.Nov 3 2017, 6:46 PM

I'm sorry. I have no real idea how to reach devs for deployment here. This wiki would be really useful to have right now so the election committee can discuss things related to the next FDC election cycle.

I feel like I can't just ping someone at random, right? Is there a process for getting this slated for deployment?

Reedy claimed this task.Nov 3 2017, 7:17 PM

I'm sorry. I have no real idea how to reach devs for deployment here. This wiki would be really useful to have right now so the election committee can discuss things related to the next FDC election cycle.

I feel like I can't just ping someone at random, right? Is there a process for getting this slated for deployment?

Bleugh. I'm sorry. Not been a great time for me personally over the last few weeks. I *will* get this done next week.

jrbs added a comment.Nov 3 2017, 7:21 PM

I'm sorry. I have no real idea how to reach devs for deployment here. This wiki would be really useful to have right now so the election committee can discuss things related to the next FDC election cycle.

I feel like I can't just ping someone at random, right? Is there a process for getting this slated for deployment?

Bleugh. I'm sorry. Not been a great time for me personally over the last few weeks. I *will* get this done next week.

:( Take care of yourself buddy!

Change 374528 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for electcomwiki

https://gerrit.wikimedia.org/r/374528

Mentioned in SAL (#wikimedia-operations) [2017-11-06T19:55:23Z] <reedy@tin> Synchronized dblists/: electcomwiki T174370 (duration: 00m 44s)

Mentioned in SAL (#wikimedia-operations) [2017-11-06T19:56:00Z] <reedy@tin> rebuilt wikiversions.php and synchronized wikiversions files: electcomwiki T174370

Mentioned in SAL (#wikimedia-operations) [2017-11-06T19:57:11Z] <reedy@tin> Synchronized wmf-config/InitialiseSettings.php: electcomwiki T174370 (duration: 00m 45s)

Reedy closed this task as Resolved.Nov 6 2017, 8:17 PM

Wiki is created, but have not created any accounts for anyone as requested. I had created one for myself to just sanity check a few things. Feel free to block it in the near future when the wiki starts being used (though, it's useful to keep around for a little while for any teething issues)

As @jrbs and @Jalexander both have shell access, they can both run mwscript createAndPromote.php --wiki=electcomwiki --sysop --bureaucrat <username> <password> to create their accounts... Probably easiest for them to communicate with @KTC to create hers. Obviously use a crappy password on the command line, then immediately log in and change it. Set an email address. Enable 2FA then too if you want.

VisualEditor is currently slightly broken, but will be sorted when I get the patch for parsoid made and deployed. Just waiting on a load of stuff to install on my vagrant vm, and I'll get that patch out and on here...

Just to confirm: the filtering works fine, the wiki isn't on labs.

mysql:root@localhost [(none)]> select @@hostname;
+------------+
| @@hostname |
+------------+
| labsdb1009 |
+------------+
1 row in set (0.00 sec)

mysql:root@localhost [(none)]> use electcomwiki;
ERROR 1049 (42000): Unknown database 'electcomwiki'
mysql:root@localhost [(none)]> show databases like 'elect%';
Empty set (0.01 sec)
jrbs added a comment.Nov 6 2017, 10:33 PM

Wiki is created, but have not created any accounts for anyone as requested. I had created one for myself to just sanity check a few things. Feel free to block it in the near future when the wiki starts being used (though, it's useful to keep around for a little while for any teething issues)

As @jrbs and @Jalexander both have shell access, they can both run mwscript createAndPromote.php --wiki=electcomwiki --sysop --bureaucrat <username> <password> to create their accounts... Probably easiest for them to communicate with @KTC to create hers. Obviously use a crappy password on the command line, then immediately log in and change it. Set an email address. Enable 2FA then too if you want.

VisualEditor is currently slightly broken, but will be sorted when I get the patch for parsoid made and deployed. Just waiting on a load of stuff to install on my vagrant vm, and I'll get that patch out and on here...

Thanks much for getting this sorted. :) Really appreciate it!

KTC added a comment.Nov 6 2017, 10:35 PM

Thanks a lot everyone that have helped get this sorted.